Subject: Re: [PATCH 2.6] Intersil Prism54 wireless driver

From: Jeff Garzik <[email-masked]>
Date: Wed, 10 Mar 2004 12:58:28 -0500

Jean Tourrilhes wrote:
> 	You misunderstood. The HostAP driver has a pretty much
> complete generic 802.11 stack. However, other driver can't depend on
> that code until it's in the kernel.
> 	By "big 802.11 reorg", I meant "make the other driver depend
> on HostAP 802.11 code".
> 	Of course, I'm quite partial to the HostAP code because I'm
> more familiar with it and I believe it's the most advanced (host WEP,
> 802.1x, WPA, AP...). Other candidated are linux-wlan-ng or the *BSD
> stack (by the way of the MadWifi driver).

Ah!  I did indeed misunderstand.

Yes, it would be good to end the cycle of re-implementing 802.11 over 
and over again ;-)

So here is my suggested plan:
* I merge prism54 upstream
* I create wireless-2.6 queue
* somebody (you, Jouni(sp?)) submits HostAP to me
* I merge HostAP
* submit rtnetlink patches to me
* start working on generic 802.11 stack in wireless-2.6 queue
* at the same time, migrate away from iw_handler to "wireless_ops" (i.e. 
something like ethtool_ops)
* once things have stabilized again, merge upstream

I'm not sure about the order of the last few steps, you know better than 
I what dependencies exist.

	Jeff